Saltar al contenido principal
PUT
/
leads
/
{id}
curl --request PUT \ --url https://api.getnexor.ai/api/public/leads/{id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "first_name": "Carlos", "last_name": "Rodriguez", "company": "New Corp" } '
{
  "success": true,
  "lead": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "first_name": "Carlos",
    "last_name": "Rodriguez",
    "phone": "+56987654321",
    "metadata": {
      "edad": 35,
      "utm_source": "google",
      "estado_lead": "calificado",
      "broker_asociado": "Maria Gonzalez"
    },
    "created_at": "2026-02-10T12:00:00Z"
  }
}

Autorizaciones

X-API-Key
string
header
requerido

API key for authentication. Keys are prefixed with nxr_live_.

Parámetros de ruta

id
string<uuid>
requerido

Lead ID

Cuerpo

application/json

Any lead field can be updated. Metadata is shallow-merged with existing values (other keys preserved). All other fields are replaced directly.

first_name
string

Lead's first name

Ejemplo:

"Carlos"

last_name
string | null

Lead's last name

Ejemplo:

"Rodriguez"

email
string<email> | null

Lead's email address

Ejemplo:

"carlos@example.com"

phone
string | null

Lead's phone number

Ejemplo:

"+56987654321"

company
string | null

Lead's company name

Ejemplo:

"Stark Industries"

title
string | null

Lead's job title

Ejemplo:

"Manager"

source
string

Lead source

Ejemplo:

"website"

campaign_id
string<uuid> | null

Campaign ID to tag the lead with. Set to null to remove campaign assignment.

Ejemplo:

"123e4567-e89b-12d3-a456-426614174001"

metadata
object

Key-value pairs to merge into the lead's existing metadata. Existing keys not included in this object are preserved. New keys are added. Matching keys are overwritten with the new value.

Ejemplo:
{
  "estado_lead": "calificado",
  "broker_asociado": "Maria Gonzalez"
}

Respuesta

Lead updated successfully

success
boolean
requerido
Ejemplo:

true

lead
object
requerido
Última modificación el 18 de junio de 2026